package main.core.data;

import java.util.List;

/*
 * @author Pankratz
 * Date: 30.11.2005
 * Time: 12:49:31
 */

/**
 * $Id: IGrid.java,v 1.1 2006/09/22 13:25:25 fpankratz Exp $
 */
public interface IGrid {
    public List<Float> getGridLayoutX();
    public List<Float> getGridLayoutY();
    public IGridElement getGridElement(int x,int y);
    public double[][] getFactors();
    public double getVolume();
    public float[] getRelativeGridLayoutX();
    public float[] getRelativeGridLayoutY();

}
