package main.core.data;

import java.awt.Color;

/*
 * @author Pankratz
 * Date: 30.11.2005
 * Time: 12:50:51
 */

/**
 * $Id: IMaterial.java,v 1.1 2006/09/22 13:25:25 fpankratz Exp $
 */
public interface IMaterial {
    public String getName();
    public Color getColor();
    public float getRho();
    public float getW95();
    public float getCap();
    public float getDlamx();
    public float getDlamy();
    public float getZulmd();
    public float getPor();
    public float getWf();
    public float getWmax();
    public float getTetai();
    public float getRhi();
    public float[][] getBltabx();
    public float[][] getBltaby();
    public float[][] getBmytabx();
    public float[][] getBmytaby();
    public float[][] getSortab();
    public float[][] getFktabsx();
    public float[][] getFktabsy();
    public float[][] getFktabrx();
    public float[][] getFktabry();
}
