package main.core.data.dt;

/*
 * @author Pankratz
 * Date: 16.11.2005
 * Time: 14:05:06
 */

/**
 * $Id: Header.java,v 1.1 2006/09/22 13:25:25 fpankratz Exp $
 */
public class Header {
    private String info;
    private short version;
    private int gipos;
    private int optpos;
    private int rgbpos;
    private int cipos;
    private int gridpos;
    private int datapos;
    private int ncts;

    public Header(String info, short version, int gipos, int optpos, int rgbpos, int cipos, int gridpos, int datapos, int ncts) {
        this.info = info;
        this.version = version;
        this.gipos = gipos;
        this.optpos = optpos;
        this.rgbpos = rgbpos;
        this.cipos = cipos;
        this.gridpos = gridpos;
        this.datapos = datapos;
        this.ncts = ncts;
    }

    public String getInfo() {
        return info;
    }

    public short getVersion() {
        return version;
    }

    public int getGipos() {
        return gipos;
    }

    public int getOptpos() {
        return optpos;
    }

    public int getRgbpos() {
        return rgbpos;
    }

    public int getCipos() {
        return cipos;
    }

    public int getGridpos() {
        return gridpos;
    }

    public int getDatapos() {
        return datapos;
    }

    public int getNcts() {
        return ncts;
    }

    public String toString() {
        StringBuffer b = new StringBuffer();
        b.append(info);
        b.append("\n");
        b.append(version);
        b.append("\n");
        b.append(gipos);
        b.append("\n");
        b.append(optpos);
        b.append("\n");
        b.append(rgbpos);
        b.append("\n");
        b.append(cipos);
        b.append("\n");
        b.append(gridpos);
        b.append("\n");
        b.append(datapos);
        return b.toString();
    }
}
