package main.core.data.file;

import java.io.DataInput;
import java.io.Closeable;
import java.io.IOException;

/*
 * @author Pankratz
 * Date: 16.11.2005
 * Time: 15:28:26
 */

/**
 * $Id: IDataInput.java,v 1.1 2006/09/22 13:25:25 fpankratz Exp $
 */
public interface IDataInput extends DataInput,Closeable{
    public long length () throws IOException;
    public void seek ( long pos ) throws IOException;
    public long readCardinal() throws IOException;
    public String readPascalString(int size) throws IOException;
    public String readCharString(int size) throws IOException;
    public long getFilePointer() throws IOException;
    public IArrayInput readArray(int length) throws IOException;
    public float[][] readFortranFloatArray(int dimx,int dimy) throws IOException;
    public IArrayInput readFortranFloatArray(int count) throws IOException;
}
