package main.core.data;

import main.core.data.dt.primitives.MinMax;

import java.util.Date;
import java.util.List;
import java.util.Map;

/*
 * @author Pankratz
 * Date: 30.11.2005
 * Time: 13:14:22
 */

/**
 * $Id: ICalculationInformation.java,v 1.1 2006/09/22 13:25:25 fpankratz Exp $
 */
public interface ICalculationInformation {

    public Date getStartDate();
    public Date getEndDate();
    public String getWndName();
    public Map<Enum,Boolean> getResultOptions();
    public Map<Enum,Boolean> getParameter();
    public List<MinMax> getMinMax();
}
