package main.core.data;

import java.util.List;
import java.util.Map;
import java.io.IOException;

/*
 * @author Pankratz
 * Date: 07.02.2006
 * Time: 16:47:25
 */

/**
 * $Id: IFileManager.java,v 1.1 2006/09/22 13:25:25 fpankratz Exp $
 */
public interface IFileManager {
    public IWufiData addFile(String file) throws IOException;
    public IWufiData addFile(Map<String,Object> data);
    public void removeFile(IWufiData file);
    public List<IWufiData> getFiles();
    public void clearFiles();
}
