package main.core.data.file;

/*
 * @author Pankratz
 * Date: 11.01.2006
 * Time: 10:29:40
 */

/**
 * $Id: LEArrayInput.java,v 1.1 2006/09/22 13:25:25 fpankratz Exp $
 */
public class LEArrayInput implements IArrayInput{
    private byte[] ba;
    int pos;

    public LEArrayInput(byte[] ba) {
        this.ba = ba;
        pos = 0;
    }

    public float readFloat() {
        int i = ( ba[ pos + 3 ] ) << 24
            | ( ba[ pos + 2 ] & 0xff ) << 16
            | ( ba[ pos + 1 ] & 0xff ) << 8
            | (ba[ pos ] & 0xff );
        pos += 4;
        return Float.intBitsToFloat( i );
    }

    public long getCount() {
        return ba.length/4;
    }

    public void seek(int pos) {
        this.pos = pos * 4;
    }
}
